#### D.5.5.5 PPolyQp

Procedure from library `goettsche.lib` (see goettsche_lib).

Usage:
  PPolyQp(z, r, n); z polynomial, r, n integers

Return:
  polynomial in z

Purpose:
  computes the Poincare polynomial of the punctual Quot-scheme of rank r on n planar points

Note:
  zero is returned if n<0 or r<=0

Example:

    LIB "goettsche.lib";
    ring r=0, (z), ls;
    // get the Poincare polynomial of the punctual Hilbert scheme (r=1)
    // of 3 planar points
    print( PPolyQp(z, 1, 3) );
    ==> 1+z2+z4

User manual for Singular version 4.4.1, 2025, generated by texi2html.